Public Class _Default6
    Inherits System.Web.UI.Page

    Private Sub Me_Load(sender As Object, e As EventArgs) Handles Me.Load

        Dim target = Master.app.currentFile
        If String.IsNullOrEmpty(target) OrElse target = "Submit.aspx" Then
            target = Master.GetFirstPage().target
        End If

        Response.Redirect(target & "?appId=" & Master.app.id)

    End Sub

End Class